org.apache.tomcat.util.http.parser

## Class Ranges

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Ranges

-     public class Ranges
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Ranges.Entry`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Ranges.Entry>` | `getEntries()`
    `String` | `getUnits()`
    `static Ranges` | `parse(StringReader input)` Parses a Range header from an HTTP header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEntries

          public List<Ranges.Entry> getEntries()

    - #### getUnits

          public String getUnits()

    - #### parse

          public static Ranges parse(StringReader input)
                              throws IOException

      Parses a Range header from an HTTP header.
      Parameters:
        `input` - a reader over the header text
      Returns:
        a set of ranges parsed from the input, or null if not valid
      Throws:
        `IOException` - if there was a problem reading the input

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.